<?xml version="1.0" encoding="utf-8"?>
<!--
    Copyright (C) 2020 The Proton AOSP Project

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
-->
<resources>
    <string-array name="configs_base">
        <!--
            System
        -->

        <!-- Enable privacy indicators -->
        <item>privacy/permissions_hub_2_enabled=true</item>
        <item>privacy/permissions_hub_enabled=true</item>

        <!-- Allow more cached apps in the background -->
        <item>activity_manager/max_cached_processes=48</item>

        <!-- ART heap compaction for cached apps -->
        <item>activity_manager/use_compaction=true</item>

        <!--
            Device Personalization Services (AiAi)
        -->

        <!-- Live Captions (Pixel 2017 + OEM) -->
        <item>device_personalization_services/Captions__manifest_url_template=https://storage.googleapis.com/captions/%{NAMESPACE}_%{VERSION}_manifest.json</item>
        <item>device_personalization_services/Captions__model_version_v1=20190613</item>
        <item>device_personalization_services/Captions__model_version_v1_2=20200112</item>
        <item>device_personalization_services/Captions__speech_threshold=0.2</item>
        <item>device_personalization_services/Captions__surface_sound_events=true</item>
        <item>device_personalization_services/Captions__visibility_playing_duration_millis=5000</item>
        <item>device_personalization_services/Captions__visibility_stopped_duration_millis=1500</item>

        <!-- Disable unused AiAi features -->
        <item>device_personalization_services/Autofill__enable=false</item>
        <item>device_personalization_services/Autofill__enable_fa=false</item>
        <item>device_personalization_services/Fedex__enable_fedex=false</item>
        <item>device_personalization_services/Logging__enable_aiai_clearcut_logging=false</item>
        <item>device_personalization_services/NotificationAssistant__enable_service=false</item>
        <item>device_personalization_services/Overview__enable_overview=false</item>
        <item>device_personalization_services/VisualCortex__enable=false</item>
    </string-array>
</resources>
